﻿using System;

using Microsoft.SPOT;
using Microsoft.SPOT.Input;
using Microsoft.SPOT.Presentation;
using Microsoft.SPOT.Presentation.Controls;
using System.Threading;
using Microsoft.SPOT.Presentation.Media;

namespace CameraViewer
{
    public class Program
    {

        private static Bitmap lcd;

        public static void Main()
        {
            // Creo la bitmap che scrive sul display
            lcd = new Bitmap(SystemMetrics.ScreenWidth, SystemMetrics.ScreenHeight);

            // Oggetto responsabile del recupero di frame
            ICameraSource source = new JpegSource(new Uri("http://ricciolo-pc:8080/cam_1.jpg"));
            source.CameraFrame += new CameraEventHandler(source_CameraFrame);
            // Avvio le richieste alla sorgente
            source.Start();

            // Attendo all'infinito
            Thread.Sleep(Timeout.Infinite);
        }

        static void source_CameraFrame(Bitmap bitmap)
        {
            lcd.DrawImage(0, 0, bitmap, 0, 0, bitmap.Width, bitmap.Height);
            // Scrivo l'ora attuale
            lcd.DrawText(DateTime.Now.ToString("g"), Resources.GetFont(Resources.FontResources.small), (Color)0x0000FF, 2, 2);

            lcd.Flush();
        }

    }
}
